summaryrefslogtreecommitdiff
path: root/extra/putty
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/putty
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/putty')
-rw-r--r--extra/putty/PKGBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/extra/putty/PKGBUILD b/extra/putty/PKGBUILD
new file mode 100644
index 000000000..6252fc40c
--- /dev/null
+++ b/extra/putty/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 57024 2009-10-31 09:56:01Z allan $
+# Maintainer: damir <damir@archlinux.org>
+# Contributor: Andreas Schweitzer <andy@bootblock.de>
+# with ideas by Michael Baehr
+
+pkgname=putty
+pkgver=0.60
+pkgrel=2
+pkgdesc="A terminal integrated SSH/Telnet client known from Windows."
+arch=('i686' 'x86_64')
+url="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
+license=('custom')
+depends=('gtk')
+#source=(ftp://ftp.chiark.greenend.org.uk/users/sgtatham/putty-latest/$pkgname-$pkgver.tar.gz)
+source=("http://the.earth.li/~sgtatham/putty/latest/putty-$pkgver.tar.gz")
+md5sums=('07e65fd98b16d115ae38a180bfb242e2')
+
+build() {
+ export CFLAGS="$CFLAGS -fno-strict-aliasing"
+ cd $srcdir/$pkgname-$pkgver/unix
+ ./configure --prefix=/usr
+ make || return 1
+ install -dm755 $pkgdir/usr/{bin,share/man/man1}
+ make DESTDIR=$pkgdir install
+ install -D -m644 ../LICENCE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}